/* ===========================
   TOCBOT
=========================== */

.news-detail .table-content .js-toc {
	font-size: inherit;
	line-height: inherit;
}

/* Reset */

.news-detail .table-content .js-toc ol,
.news-detail .table-content .js-toc ul {
	margin: 0;
	padding: 0;
	list-style: none;
}

.news-detail .table-content .js-toc li {
	margin: 0;
	padding: 0;
	list-style: none;
}

.news-detail .table-content .js-toc > .toc-list > .toc-list-item:last-child {
	border-bottom: 0;
}

/* Links */

.news-detail .table-content .js-toc a {
	display: flex;
	align-items: center;
	padding: calc(12 / 1920 * 100rem) 0;
	font-size: clamp(14px, calc(16 / 1920 * 100rem), 16px);
	font-weight: 500;
	color: #292929;
	text-decoration: none;

	transition:
		color 0.3s ease,
		transform 0.3s ease;
}

/* Hover */

.news-detail .table-content .js-toc li:hover > a {
	color: #21409a;
	transform: translateX(3px);
}

/* Active */

.news-detail .table-content .js-toc a.is-active-link,
.news-detail .table-content .js-toc li.is-active-li > a {
	color: #21409a;
	transform: translateX(3px);
}

/* Nested list */

.news-detail .table-content .js-toc li > ol {
	padding-left: 16px;
}

/* H3 */

.news-detail .table-content .js-toc li > ol > li > a {
	font-size: 0.95em;
	padding-left: 8px;
}

/* H4 */

.news-detail .table-content .js-toc li > ol > li > ol > li > a {
	font-size: 0.9em;
	padding-left: 16px;
}

/* Remove Tocbot default border */

.news-detail .table-content .js-toc .toc-list {
	border-left: 0;
}

/* Smooth expand/collapse */

.news-detail .table-content .js-toc .is-collapsible {
	transition: max-height 0.3s ease;
}

/* Optional scrollbar */

.news-detail .table-content .js-toc {
	max-height: 70vh;
	overflow-y: auto;
	overflow-x: hidden;
}

/* Scrollbar (Chrome) */

.news-detail .table-content .js-toc::-webkit-scrollbar {
	width: 6px;
}

.news-detail .table-content .js-toc::-webkit-scrollbar-thumb {
	background: #d9d9d9;
	border-radius: 999px;
}

.news-detail .table-content .js-toc::-webkit-scrollbar-thumb:hover {
	background: #bdbdbd;
}

.toc-link::before {
	display: none;
}
